#include <stdio.h>
#include <strl.h>

int main(int argc, char *argv[])
{
  char buf[64];
  int i;

  strlcpy(buf, argv[0], sizeof(buf));
  for (i = 1; i < argc; i ++)
    {
      strlcat(buf, " ", sizeof(buf));
      if (strlcat(buf, argv[i], sizeof(buf)) > sizeof(buf) - 1)
	{
	  fprintf(stderr, "Buffer too short. Please hire a programmer who knows dynamic memory allocation.\n");
	  return 1;
	}
    }

  printf("%s\n", buf);

  return 0;
}
